#include <os.h>
#include <nspireio.h>

int main(int argc, char** argv)
{
	rshell_load();
	
	if(argc == 1)
	{
		c_swrite("USAGE: %s FILE\n",argv[0]);
		c_write("Shows stat data for FILE.\n");
		goto end;
	}
	
	// Search file
	char path[100];
	struct stat s;
	// Absolute path?
	if(stat(argv[1],&s) != 0)
	{
		// Relative path?
		NU_Current_Dir("A:",path);
		strcat(path,argv[1]);
		if(stat(path,&s) != 0)
		{
			c_swrite("Error: %s\n",strerror(errno));
			goto end;
		}
	}
	
	c_write("Mode: ");
	if(s.st_mode & S_IFREG) c_write("File\n");
	if(s.st_mode & S_IFDIR) c_write("Folder\n");
	
	c_swrite("Size: %d KBytes\n",s.st_size/1024);
	
end:
	rshell_save();
	return 0;
}